Summary:	MySQL: a very fast and reliable SQL database engine
Name:		MySQL
Group:		System
Version:	5.0.33
Release:	1
License:	GPL/LGPL
Source0:	mysql-%{version}.tar.gz
Source1:	my.cnf
Source2:	rc.mysqld
Patch0:		%{name}.patch
Patch1:		%{name}.cc.diff
URL:		http://www.mysql.com/
Provides:	mysql MySQL-server MySQL-client
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_sbindir}
%define		_localstatedir	/var/lib/mysql

%description
Default: no password set, just hit <enter>.  Make a password a.s.a.p.
1. By default, installing this package will keep all previous databases
and preserve. Then it will stop mysql daemon and restart it. That's all
you need to know. Number '3' below is already done in aLinux - no need
to do this but rebuilding the database with 'mysql_install_db' you might
want to do. If so, read number '2' below but be cautious.
-

2. NOTE: This will blast away all previous databases.
With this MySQL package. Getting started on a fresh upgrade:

a. Install this MySQL rpm your reading now.
b. /etc/init.d/rc.mysqld stop; # Stop mysql daemon.
c. rm -rf /var/lib/mysql/*; # if it exists with no needed database(s).
d. mysql_install_db; # Sets up a brand new fresh initial database.
e. /etc/init.d/rc.mysqld start; # Start mysql daemon again.

Socket and pid files are now kept and located in the /var/pid/ directory.
-
3. To get started with 'mysql', for the first time, run as 'root':
groupadd mysql
useradd -g mysql mysql
mysql_install_db <now reboot and let the SystemV script start the daemon or>
mysqld_safe -u root &
$ mysql
-
MySQL is a true multi-user, multi-threaded SQL (Structured Query
Language) database server. SQL is the most popular database language
in the world. MySQL is a client/server implementation that consists of
a server daemon mysqld and many different client programs/libraries.

The main goals of MySQL are speed, robustness and easy to use. MySQL
was originally developed because we at Tcx needed a SQL server that
could handle very big databases with magnitude higher speed than what
any database vendor could offer to us. We have now been using MySQL
since 1996 in a environment with more than 40 databases, 10,000
tables, of which more than 500 have more than 7 million rows. This is
about 50G of mission critical data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many years.
While MySQL is still in development, it already offers a rich and
highly useful function set.
-
Note lk - cd libmysql; ln -sf .libs/*.o . (when building, for now)

%package        devel
Summary:        Libraries, includes and more to develop %{name} applications.
Group:          Development

%description    devel
This is the libraries, include files and other resources you can use to
develop %{name} applications.

%prep
%setup -q -n mysql-*
%patch0 -p1
%patch1 -p0
mv /usr/src/linux/include/asm/atomic.h /usr/src/linux/include/asm/atomic.h.BAK

%build
CXXFLAGS="%{optflags} -fno-rtti -fno-exceptions -fomit-frame-pointer"
CFLAGS="%{optflags} -fomit-frame-pointer"
%configure \
	%{!?debug:--without-debug} \
	%{?_with_innodb:--with-innodb}  \
	%{?_with_bdb:--with-berkeley-db} \
	--host=i386-pc-linux \
	--build=i386-pc-linux \
	--without-debug \
	--enable-thread-safe-client \
	--enable-static \
	--enable-shared \
	--enable-assembler \
	--with-pthread \
	--with-named-curses-libs="-lncurses" \
	--with-vio \
	--with-libwrap=/usr/lib \
	--with-openssl \
	--with-extra-charsets=all \
	--with-mysqld-user=root \
	--with-unix-socket-path=/var/run/mysql.sock \
	--without-readline \
	--without-docs \
	--with-low-memory \
	--without-bench \
	--with-comment="aLinux Distribution MySQL RPM"

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/var/lib/mysql
rm -rf $RPM_BUILD_ROOT/usr/mysql-test
cd $RPM_BUILD_ROOT/usr/bin; ln -sf ../sbin/mysqld mysqld
cd $RPM_BUILD_ROOT/usr/lib; ln -sf mysql/* .
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
cd $RPM_BUILD_ROOT/etc/rc.d/rc0.d; ln -sf ../../init.d/rc.mysqld Kmysqld.sh
cd $RPM_BUILD_ROOT/etc/rc.d/rc3.d; ln -sf ../../init.d/rc.mysqld Smysqld.sh
cd $RPM_BUILD_ROOT/etc; ln -sf my.cnf mf.cnf
cd $RPM_BUILD_ROOT/usr/include; ln -sf mysql/*.h .
mv /usr/src/linux/include/asm/atomic.h.BAK /usr/src/linux/include/asm/atomic.h

%pre
# If the mysql user/group don't exist, add them:
if ! grep -q mysql /etc/group; then
        groupadd -g 47 mysql
fi
if ! grep -q mysql /etc/passwd; then
	useradd -u 47 -g mysql -c "mysql" -d /var/empty -s /bin/false mysql
fi
if [ -f /var/run/mysqld.pid ]; then
/etc/init.d/rc.mysqld stop 1>/dev/null 2>/dev/null
fi
if [ -d /var/lib/mysql ]; then
mv /var/lib/mysql /var/lib/mysql.origdb 1>/dev/null 2>/dev/null
fi

%post
/usr/bin/mysql_install_db 1>/dev/null 2>/dev/null
/etc/init.d/rc.mysqld start 1>/dev/null 2>/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}
%{_sbindir}
%{_libdir}
%{_datadir}
%{_sysconfdir}
%{_localstatedir}
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}
